# "realname" variable name is required for erlang_appdir macro
%global realname ejabberd_po
# Upstream version is 0.0.0 and has no release
%global snapdate 20230705
%global commit c271992d07b20462e3c48f51cc8634e78488b354
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# Technically we're noarch, but our install path is not. For non-NIF
# or non-DRV packages we can set the debug package to nil.
# This line should be removed if a package contains NIF, or driver.
%global debug_package %{nil}
# True version number used in the erlang library directory
# not related to erlang_appdir macro
%global realver 0.0.0


Name:           ejabberd-po
Version:        0
Release:        2^%{snapdate}git%{shortcommit}%{?dist}
Summary:        Ejabberd's gettext PO translation files for rebar3

License:        MIT
URL:            https://github.com/processone/%{name}
Source0:        https://github.com/processone/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  erlang-rebar3
# Package for the erlang filesystem:
Requires:       erlang-erts
BuildArch:      noarch

%description
Ejabberd's gettext PO translation files. Files are installed as a
rebar3/erlang plugin in the rebar3 directory tree. It can be loaded
with a rebar.config file.



%prep
%autosetup -n %{name}-%{commit}


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_erllibdir}/%{realname}-%{realver}
install -p -m 0644 src/* %{buildroot}%{_erllibdir}/%{realname}-%{realver}/



%files
%license LICENSE
%doc README.md
%{_erllibdir}/%{realname}-%{realver}/



%changelog
* Fri Jul 14 2023 Matthieu Saulnier <fantom@fedoraproject.org> - 0-2^20230705gitc271992
- Replace variable name for real version number of the library

* Mon Jul 03 2023 Matthieu Saulnier <fantom@fedoraproject.org> - 0-1^20230705gitc271992
- Initial packaging
